const state = {
  isLogin: false,
  conversation: {},
  conversationList: [],
  conversationID: '',
  messageList: [],
  scrollTop: 0,
  userInfo: {},
  imType: 0,
  followId: '',
  orderId: '',
  orderType: 0,
  type: 0,
  fontSize: 14
};



export default {
  namespaced: true,
  state,
  mutations: {
    setscrollTop(state, value) {
      state.scrollTop = value;
    },
	setImType(state, value){
	  state.imType = value;
	},
	setType(state, value) {
	  state.type = value;
	},
	setOrderId(state, value){
	  state.orderId = value;
	},
	setFollowId(state, value){
	  state.followId = value;
	},
	setOrderType(state, value) {
	  state.orderType = value;
	},
    setConversationList(state, value) {
      state.conversationList = value;
    },
    setConversation(state, value){
      state.conversation = value;
    },
    setConversationID(state, value) {
      state.conversationID = value;
    },
	resetConversationID() {
	  state.conversationID = '';
	},
    setMessageList(state, value) {
      state.messageList = value;
    },
    resetChat() {
      state.messageList = [];
    },
	setScaleFontSize(fontSize) {
	  state.fontSize = fontSize;
	},
  },
  actions: {
    // 
  }
};